<div class="card">
    <div class="card-header h6">Part 3. PCI DSS Validation (Continued)</div>
    <div class="card m-4">
        <div class="card-header h6"><b>Part 3b. Service Provider Attestation</b></div>
        <form (ngSubmit)="saveAndContinue()" #finalAttestationForm="ngForm">
            <div class="form-group">
                <label class="col-sm-2 col-md-2  col-xs-2"><b>Signature of Service Provider Executive
                    Officer</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-10 col-md-10 col-xs-10 ml-md-1">
                    <!-- Manually setting the form dirty on signature change as it was not a form field -->
                    <jhi-signature-pad
                        (signatureDone)="finalAttestation.attestorSignature = $event; finalAttestationForm.form.markAsDirty()"
                        [(selectedSignature)]="finalAttestation.attestorSignature">
                    </jhi-signature-pad>
                    <div [hidden]="finalAttestation.attestorSignature || !submitted"
                         class="alert alert-danger w-100">
                        <div [hidden]="finalAttestation.attestorSignature">Signature is required!!</div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-md-2  col-xs-2"><b>Date</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-10 col-md-10 col-xs-10 ml-1">
                    <div class="form-inline">
                        <div class="form-group">
                            <input class="date-input form-control w-100" name="Attestor Date" type="text"
                                   value="{{currentDate}}" disabled>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-md-2 col-xs-2"><b>Service Provider Executive Officer Name</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-10 col-md-10 col-xs-10 ml-1">
                    <input class="form-control" type="text" name="Attestor Name"
                           [(ngModel)]="finalAttestation.attestorName"
                           required #attestorName="ngModel">
                    <div [hidden]="attestorName.valid || !submitted"
                         class="alert alert-danger error-msg">
                        <div [hidden]="!attestorName.hasError('required')">Name is required!!
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-md-2  col-xs-2"><b>Title</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-10 col-md-10 col-xs-10 ml-1">
                    <input class="form-control" type="text" name="Attestor Title"
                           [(ngModel)]="finalAttestation.attestorTitle"
                           required #titleName="ngModel">
                    <div [hidden]="titleName.valid || !submitted"
                         class="alert alert-danger error-msg">
                        <div [hidden]="!titleName.hasError('required')">Title is required!!
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="row-md action-div">
        <jhi-button (click)="saveAndExit(finalAttestationForm)" exit>Save & Exit</jhi-button>
        <jhi-button (click)="saveAndContinue(finalAttestationForm)" continue>Save & Continue</jhi-button>
    </div>
    <div class="arrows mt-auto mb-4">
        <i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i>
        <i (click)="forward()" class="fa fa-4x fa-angle-right float-right mr-4"></i>
    </div>
</div>
